using com.itac.mes.imsapi.domain.container;

namespace com.itac.mes.imsapi.client.dotnet
{
    public interface IIMSApiDotNet
    {
        int imsapiGetLibraryVersion(ref string p0);
        int imsapiInit();
        int imsapiShutdown();
        int adviceGetAdvice(IMSApiSessionContextStruct p0, string p1, bool p2, bool p3, bool p4, KeyValue[] p5, ref Advice[] p6);
        int adviceConfirmAdvice(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, int p5, string[] p6);
        int attribCreateAttribute(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5);
        int attribCheckAttributeValues(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, long p5, int p6, string[] p7, string[] p8, ref string[] p9);
        int attribAppendAttributeValues(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, long p5, int p6, string[] p7, string[] p8, ref string[] p9);
        int attribAppendAttributeValuesWriteDirect(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string[] p5, string[] p6, ref string[] p7);
        int attribRemoveAttributeValue(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, string p6);
        int attribGetAttributeValues(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string[] p5, int p6, string[] p7, ref string[] p8);
        int attribGetObjectsForAttributeValues(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, KeyValue[] p6, string[] p7, ref string[] p8);
        int attribGetAttributeClass(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10);
        int attribGetAttributeCondition(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int attribCreateAttributeCondition(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int attribManageAttributeCondition(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int attribRemoveAttributeClassValue(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int attribEditAttributeClassState(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int attribCreateAttributeClass(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int attribManageAttributeClassAttribute(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int attribManageAttributeClassCondition(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int attribCreateAttributeCode(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int attribUpdateAttributeCode(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int attribGetAttributeCode(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6);
        int attribCreateAttributeCodeByCatalog(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int attribGetAllAttributeValue(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int attribGetAttributeValuesForObjectType(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int attribGetAttributeHistory(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string[] p5, KeyValue[] p6, string[] p7, ref string[] p8);
        int attribUploadAttributeCacheData(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5);
        int batchAssignBatchNumberToWorkOrder(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string p5, string p6, int p7, string p8, double p9, int p10);
        int batchRegisterBatch(IMSApiSessionContextStruct p0, string p1, string p2, int p3, int p4, long p5);
        int batchUnregisterBatch(IMSApiSessionContextStruct p0, string p1, string p2, int p3, double p4, int p5, long p6);
        int batchSplitBatchNumberToSerialNumber(IMSApiSessionContextStruct p0, string p1, ref string p2, ref string p3, string p4, int p5, double p6, int p7, int p8);
        int batchMergeBatch(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, double p6, int p7, int p8);
        int batchGetRegisteredBatch(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, ref string[] p4);
        int batchGetBatchInfo(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int batchUnregBatch(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int configCreateParameters(IMSApiSessionContextStruct p0, KeyValue[] p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int configUpdateParameters(IMSApiSessionContextStruct p0, KeyValue[] p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int configGetParameters(IMSApiSessionContextStruct p0, KeyValue[] p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int configDeleteParameters(IMSApiSessionContextStruct p0, KeyValue[] p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int configGetValues(IMSApiSessionContextStruct p0, KeyValue[] p1, KeyValue[] p2, KeyValue[] p3, string[] p4, ref string[] p5, string[] p6, ref string[] p7);
        int configUpdateValues(IMSApiSessionContextStruct p0, KeyValue[] p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int configDeleteValues(IMSApiSessionContextStruct p0, KeyValue[] p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int configGetDimensionValues(IMSApiSessionContextStruct p0, KeyValue[] p1, KeyValue[] p2, ref string[] p3);
        int customFunction(IMSApiSessionContextStruct p0, string p1, string[] p2, ref string[] p3, ref string p4);
        int customGetDbObjectMetaData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int customGetDbObjectData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, ref string[] p8);
        int customModifyDbObjectData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, string[] p8, string[] p9, string[] p10, ref string[] p11, ref string[] p12, ref string[] p13);
        int customGetFunctionInfo(IMSApiSessionContextStruct p0, KeyValue[] p1, string[] p2, ref string[] p3, string[] p4, ref string[] p5, string[] p6, ref string[] p7, string[] p8, ref string[] p9);
        int customGetFunctions(IMSApiSessionContextStruct p0, KeyValue[] p1, string[] p2, ref string[] p3);
        int customGetCustomEntities(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int customCreateCustomEntities(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int customUpdateCustomEntities(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int customDeleteCustomEntities(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int customGetCustomEntityTypes(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int customCreateCustomEntityType(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int customUpdateCustomEntityType(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int customDeleteCustomEntityType(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int edaGetNextFreeExternalData(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, string[] p6, string[] p7, string[] p8, ref string[] p9);
        int edaAssignExternalData(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string[] p5, string[] p6);
        int edaGetObjectsForExternalData(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int edaGetExternalDataForObject(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int edaManageExternalData(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, string[] p4, KeyValue[] p5, string[] p6);
        int equCheckEquipmentData(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, int p6, string[] p7, ref string[] p8);
        int equUpdateEquipmentData(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, string[] p6, string[] p7, ref string[] p8);
        int equGetSetupEquipmentData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equGetRequiredEquipmentData(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, string p6, string[] p7, ref string[] p8);
        int equGetRequiredEquipmentDetail(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equRemoveEquipment(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4);
        int equSetLocation(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int equGetEquipment(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equUpdateEquipment(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int equReportQuantity(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int equCreateEquipment(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int equGetCarrierAssignRule(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6, ref string[] p7, ref string[] p8);
        int equGetCarrierAssigned(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8);
        int equGetCarrierAssignmentHistoryData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6);
        int equGetCarrierToSerialNumber(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equGetCarrierToCarrier(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equAssignSerialNumberToCarrier(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, string[] p5, string[] p6, ref string[] p7);
        int equRemoveSerialNumberFromCarrier(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string[] p4, string[] p5, ref string[] p6);
        int equAssignCarrierToCarrier(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string[] p4, string[] p5, ref string[] p6);
        int equRemoveCarrierFromCarrier(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string[] p4, string[] p5, ref string[] p6);
        int equSetEquipmentLocation(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int equGetCarrierLocation(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equGetEquipmentLocationHist(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equSetupAssetEquipment(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int equGetAssetEquipmentSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equGetAssignedCavity(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equManagePartCavityRule(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, string[] p4, ref string[] p5);
        int equManageCavityEquipmentRule(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, string[] p4, ref string[] p5);
        int equAssignCavityToEquipment(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int equRemoveCavityFromEquipment(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int equUpdateAssignedCavity(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int equGetPartCavityAssignRule(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int equGetCavityEquipmentAssignRule(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int execRuleSet(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, KeyValue[] p5, ref RuleResult[] p6);
        int execFormula(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10);
        int execFormulaCatalog(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, string[] p5, string[] p6, ref string[] p7);
        int execTimerProcess(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int imsapiGetErrorText(IMSApiSessionContextStruct p0, int p1, ref string p2);
        int imsapiGetGroups(IMSApiSessionContextStruct p0, ref ImsApiGroupStruct[] p1);
        int imsapiGetFunctions(IMSApiSessionContextStruct p0, string p1, ref ImsApiFunctionStruct[] p2);
        int imsapiGetFunctionInfo(IMSApiSessionContextStruct p0, string p1, ref ImsApiFunctionStruct p2, ref ImsApiParameterStruct[] p3);
        int imsapiGetParameterConditions(IMSApiSessionContextStruct p0, string p1, string p2, ref string p3, ref ImsApiParamConditionStruct[] p4);
        int imsapiGetParameterInfo(IMSApiSessionContextStruct p0, string p1, string p2, string p3, ref ImsApiParameterStruct p4, ref ImsApiParamConditionStruct p5, ref ImsApiKeyStruct[] p6);
        int imsapiGetSystemInfos(IMSApiSessionContextStruct p0, string[] p1, ref string[] p2);
        int imsapiGetErrorList(IMSApiSessionContextStruct p0, string[] p1, string[] p2, string[] p3, int[] p4, string[] p5, ref string[] p6);
        int lockGetLockedObjects(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, long p6, long p7, int p8, int p9, string[] p10, ref string[] p11);
        int lockObjects(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, long p5, int p6, string[] p7, string[] p8, ref string[] p9);
        int lockUnlockObjects(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, long p6, int p7, string[] p8, string[] p9, ref string[] p10);
        int lockGetLockGroups(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6, ref string[] p7, ref string[] p8);
        int mdaGetRecipeData(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, double p6, string p7, string p8, int p9, KeyValue[] p10, string[] p11, ref string[] p12);
        int mdaActivateRecipe(IMSApiSessionContextStruct p0, string p1, int p2, int p3, int p4);
        int mdaCreateRecipe(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, bool p5, long p6, int p7, KeyValue[] p8, string[] p9, string[] p10, ref string[] p11);
        int mdaGetDocuments(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, KeyValue[] p3, string[] p4, ref string[] p5);
        int mdaUploadDocument(IMSApiSessionContextStruct p0, string p1, int p2, KeyValue[] p3, KeyValue[] p4, byte[] p5);
        int mdaGetDocumentContent(IMSApiSessionContextStruct p0, string p1, long p2, ref byte[] p3);
        int mdaGetRecipeHeaderAndVersion(IMSApiSessionContextStruct p0, string p1, int p2, KeyValue[] p3, string[] p4, ref string[] p5);
        int mdaActivateDocument(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mdaUploadCustomFunction(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, byte[] p3);
        int mdataGetPartData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetProductInfo(IMSApiSessionContextStruct p0, string p1, string p2, int p3, string p4, int p5, int p6, int p7, int p8, string[] p9, ref string[] p10);
        int mdataBomVerify(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, string p6, string p7, int p8, string p9, int p10, int p11, string[] p12, string[] p13, ref string[] p14);
        int mdataGetBomData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetCalendarData(IMSApiSessionContextStruct p0, string p1, string[] p2, ref string[] p3);
        int mdataGetWorkplanData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetFailureDataForStation(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, ref string[] p4);
        int mdataGetFailureDefinition(IMSApiSessionContextStruct p0, string p1, int p2, int p3, KeyValue[] p4, string[] p5, ref string[] p6);
        int mdataSetProductionCycleTime(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, double p6, double p7, string p8, int p9);
        int mdataCreateWorkorder(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataCreateProductionLot(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int mdataChangeWorkorderData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int mdataGetProductsForLineOrStation(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6);
        int mdataGetMachineAssetStructure(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetWorkplanActivities(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10);
        int mdataGetContactData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataGetStationConfiguration(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8);
        int mdataGetWorkorders(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataGetCostCenter(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataGetWageType(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataGetUserData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataChangeWorkorderBomData(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, string[] p4, ref string[] p5);
        int mdataGetOrderCluster(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6, ref bool p7);
        int mdataDeleteOrderCluster(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int mdataCreateOrderCluster(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6);
        int mdataUpdateOrderCluster(IMSApiSessionContextStruct p0, string p1, string p2, KeyValue[] p3, string[] p4, string[] p5, string[] p6, string[] p7, string[] p8, string[] p9, ref string[] p10, ref string[] p11, ref string[] p12);
        int mdataGetUserGroupData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetFailureDataForPart(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6);
        int mdataCreateDetectionPoint(IMSApiSessionContextStruct p0, string p1, string p2, int p3, KeyValue[] p4);
        int mdataGetDetectionPoint(IMSApiSessionContextStruct p0, string p1, int p2, KeyValue[] p3, string[] p4, ref string[] p5, ref bool p6);
        int mdataGetShiftData(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int mdataGetMessageClass(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataGetMessageCause(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataGetMessageEffect(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mdataCreateSpecialTime(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, long p5, long p6, ref long p7);
        int mdataChangeWorkOrderWorkStepState(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int mdataGetUserSkill(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetWorkstepSkill(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetFormulaCatalog(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6);
        int mdataUpdateDetectionPoint(IMSApiSessionContextStruct p0, string p1, string p2, KeyValue[] p3);
        int mdataDeleteDetectionPoint(IMSApiSessionContextStruct p0, string p1, string p2);
        int mdataGetTimeEvent(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetWeekSchedule(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6);
        int mdataGetShiftModel(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6);
        int mdataGetAssignedShiftModel(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataGetAssignedSpecialTime(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdataRequestWorkorder(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int mdcUploadStationCondition(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mdcGetStationConditions(IMSApiSessionContextStruct p0, string p1, long p2, long p3, string p4, int p5, string[] p6, ref string[] p7);
        int mdcGetStationConditionsByFilter(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, string[] p8, KeyValue[] p9, string[] p10, ref string[] p11);
        int mdcGetMessageType(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdcCreateLog(IMSApiSessionContextStruct p0, string p1, long p2, long p3, string p4, string p5, int p6);
        int mdcGetLog(IMSApiSessionContextStruct p0, string p1, long p2, long p3, ref MdcLog[] p4);
        int mdcGetConditionCodes(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdcCreateConditionCode(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string p5, string p6, string p7, string p8, string p9, string[] p10, string[] p11);
        int mdcRegisterUserAtLine(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, long p5);
        int mdcGetRegisteredUser(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int mdcUploadDetectionPoint(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mdcUpdateStationCondition(IMSApiSessionContextStruct p0, string p1, int p2, long p3, KeyValue[] p4, ref string[] p5);
        int mdcCreateLogData(IMSApiSessionContextStruct p0, string p1, string p2, int p3, string[] p4, string[] p5, ref string[] p6);
        int mdcGetLogData(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, KeyValue[] p5, string[] p6, ref string[] p7);
        int mdcAcknowledgeStationConditions(IMSApiSessionContextStruct p0, string p1, string p2, long p3, string p4, int p5, string[] p6, string[] p7, ref string[] p8);
        int mdcManageConditionCode(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mdcGetKeyPerformanceIndicators(IMSApiSessionContextStruct p0, string p1, long p2, long p3, string[] p4, ref string[] p5, string[] p6, ref string[] p7, string[] p8, ref string[] p9, string[] p10, ref string[] p11, string[] p12, ref string[] p13, string[] p14, ref string[] p15);
        int mdcCloseStationMessage(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, KeyValue[] p3, string[] p4, string[] p5, string[] p6);
        int mlCreateNewMaterialBin(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mlSetMaterialBinLocation(IMSApiSessionContextStruct p0, string p1, string p2, long p3, string p4, string p5, int p6);
        int mlUpdateMaterialBinLocationData(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mlChangeMaterialBinData(IMSApiSessionContextStruct p0, string p1, string p2, KeyValue[] p3);
        int mlGetNextMaterialBinNumber(IMSApiSessionContextStruct p0, string p1, string p2, ref string p3);
        int mlGetMaterialBinData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, AttributeInfo[] p3, string[] p4, ref string[] p5);
        int mlGetStorage(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string[] p5, ref string[] p6);
        int mlUploadMaterialBinBooking(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mlSplitMaterialBin(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int mlGetPurchaseOrderData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mlGetIncomingGoods(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6, ref bool p7);
        int mlUpdateStorageCell(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mlUpdateStorageGroup(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mlUpdateStorage(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6, ref string[] p7);
        int mlGetStorageData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, ref string[] p7, ref string[] p8, ref string[] p9, ref string[] p10);
        int mlGetMaterialTransactions(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int mlGetTestplanData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10);
        int mlUploadTestplanResult(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, long p3, bool p4, string p5, string[] p6, string[] p7, ref string[] p8, string[] p9, string[] p10, ref string[] p11);
        int regLogin(IMSApiSessionValidationStruct p0, ref IMSApiSessionContextStruct p1);
        int regLogout(IMSApiSessionContextStruct p0);
        int regRegisterUser(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int regUnregisterUser(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int regGetRegisteredUser(IMSApiSessionContextStruct p0, string p1, ref string p2, ref string p3, ref string p4);
        int regCheckLicense(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, string[] p4, ref string[] p5);
        int setupReplaceSetupForSerialNumber(IMSApiSessionContextStruct p0, string p1, int p2, string p3, int p4, string p5, string p6, string p7, string p8, long p9);
        int setupCheck(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, int p6, int p7, ref string p8, ref string p9, ref string p10, ref int p11, ref CheckSetupData[] p12);
        int setupStateChange(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, int p6);
        int setupGetStationSetupDataForMaterialBin(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, ref string[] p4);
        int setupGetSetupDataBySerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, string[] p6, ref string[] p7);
        int setupGetSetupName(IMSApiSessionContextStruct p0, string p1, ref string p2);
        int setupUpdateMaterialSetup(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, string[] p6, string[] p7, string[] p8, string[] p9, ref string[] p10, ref string[] p11);
        int setupGetMaterialSetup(IMSApiSessionContextStruct p0, string p1, int p2, int p3, long p4, long p5, string[] p6, ref string[] p7, string[] p8, ref string[] p9);
        int setupChangeSetupForSerialNumber(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, string[] p5, string[] p6, ref string[] p7);
        int setupCreatePreSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, string[] p8, string[] p9, ref string[] p10, ref string[] p11, ref string[] p12);
        int setupUpdatePreSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, KeyValue[] p3, string[] p4, string[] p5, string[] p6, string[] p7, ref string[] p8, ref string[] p9);
        int setupGetPreSetupDetails(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, ref string[] p8, ref string[] p9, ref string[] p10, ref string[] p11, ref string[] p12);
        int setupSearchPreSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6, ref string[] p7, ref string[] p8);
        int setupUpdatePreSetupPosition(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, ref string[] p7, ref string[] p8);
        int setupAttachPreSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6);
        int setupGetRequiredMaterialForPreSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, ref string[] p6);
        int setupCheckPreSetup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, ref string[] p6, ref string[] p7, ref string[] p8);
        int setupGetSetupDataBySerialNumberRef(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int shipRemoveSerialNumberFromShippingLot(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, long p5);
        int shipRemoveSerialNumbersFromShippingLot(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int shipCheckSerialNumberFromShippingLot(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int shipMoveSerialNumberToOtherShippingLot(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int shipAddSerialNumberToShippingLot(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, long p5);
        int shipDeactivateShippingLotAtKap(IMSApiSessionContextStruct p0, string p1, string p2);
        int shipActivateShippingLotAtKap(IMSApiSessionContextStruct p0, string p1, string p2);
        int shipGetSerialNumberDataForShippingLot(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, ref string[] p4);
        int shipCompleteLot(IMSApiSessionContextStruct p0, string p1, string p2, int p3, long p4);
        int shipSendLot(IMSApiSessionContextStruct p0, string p1, string p2, long p3, KeyValue[] p4);
        int shipReuseCompletedShippingLot(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string[] p4, ref string[] p5);
        int shipGetShippingLotInfo(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int shipCheckSerialNumberAddToShippingLot(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int shipAddChildLotToParentLot(IMSApiSessionContextStruct p0, string p1, string p2, string p3, long p4);
        int shipRemoveChildLots(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, long p4, ref ResultData[] p5);
        int shipGetChildLotsForParentLot(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, ref string[] p4);
        int shipMoveChildLots(IMSApiSessionContextStruct p0, string p1, StringStruct[] p2, string p3, string p4, long p5, ref ResultData[] p6);
        int shipGetLotFromSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string[] p4, ref string[] p5);
        int shipGetShippingPrefs(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, string[] p6, ref string[] p7);
        int shipAddSnrsToLot(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int smtConsumption(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, string p6, string p7, bool p8, bool p9, bool p10, ref SmtSerialNo[] p11, ref SmtEvent[] p12, ref SmtPlacement[] p13, bool p14, bool p15, bool p16, string p17, double p18);
        int smtEventSetup(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, string p6, string p7, bool p8, bool p9, bool p10, ref SmtSerialNo[] p11, ref SmtEvent[] p12, ref SmtPlacement[] p13, bool p14, bool p15, bool p16, string p17, double p18);
        int smtSerialNumberSetup(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5, string p6, string p7, bool p8, bool p9, bool p10, ref SmtSerialNo[] p11, ref SmtEvent[] p12, ref SmtPlacement[] p13, bool p14, bool p15, bool p16, string p17, double p18);
        int smtSetupData(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, string[] p4, ref string[] p5, string[] p6, string[] p7, ref string[] p8, string[] p9, string[] p10, ref string[] p11, string[] p12, string[] p13);
        int smtCheckMaterialBin(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int smtSerialNumberCheckIn(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4, string[] p5, string[] p6, ref string[] p7, string[] p8, ref string[] p9, string[] p10, ref string[] p11);
        int trUploadTestplanResult(IMSApiSessionContextStruct p0, string p1, string p2, string p3, long p4, string[] p5, string[] p6, ref string[] p7, string[] p8, string[] p9, ref string[] p10, string[] p11, string[] p12, ref string[] p13, string[] p14, string[] p15, ref string[] p16, string[] p17, string[] p18, ref string[] p19);
        int trCheckMergedPartsForSerialNumberComplete(IMSApiSessionContextStruct p0, string p1, string p2, int p3, int p4, int p5, string[] p6, ref string[] p7);
        int trCheckMergedPartsForSerialNumber(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int trGetMergeParts(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, int p5, string[] p6, ref string[] p7);
        int trCheckSerialNumberState(IMSApiSessionContextStruct p0, string p1, int p2, int p3, string p4, string p5, string[] p6, ref string[] p7);
        int trVerifyMerge(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string p5, int p6, ref SerialNumberStateData[] p7);
        int trVerifyMergeProduct(IMSApiSessionContextStruct p0, string p1, string p2, int p3, string p4, string p5, int p6);
        int trChangeWorkOrder(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, ref string[] p4);
        int trGetStationSetting(IMSApiSessionContextStruct p0, string p1, string[] p2, ref string[] p3);
        int trGetSerialNumberInfo(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string[] p4, ref string[] p5);
        int trGetSerialNumberUploadInfo(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, string[] p6, ref string[] p7);
        int trMergeParts(IMSApiSessionContextStruct p0, string p1, int p2, int p3, string p4, string p5, string p6, string p7);
        int trRemoveMergeParts(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, string p5);
        int trUnmergeParts(IMSApiSessionContextStruct p0, string p1, int p2, string[] p3, string[] p4, ref string[] p5);
        int trGetSerialNumberBySerialNumberRef(IMSApiSessionContextStruct p0, string p1, string p2, string p3, ref SerialNumberData[] p4);
        int trSwitchSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, ref SwitchSerialNumberData[] p4);
        int trUploadState(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, int p6, long p7, float p8, string[] p9, string[] p10, ref string[] p11);
        int trGetNextSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, ref SerialNumberData[] p5);
        int trUploadFailureAndResultData(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, int p6, float p7, long p8, string[] p9, string[] p10, ref string[] p11, string[] p12, string[] p13, ref string[] p14, string[] p15, string[] p16, ref string[] p17);
        int trGetSerialNumberHistoryData(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, int p5, int p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10, string[] p11, ref string[] p12, string[] p13, ref string[] p14, ref string p15, ref string p16, ref string p17, ref string p18, ref string p19, ref long p20, ref string p21, ref int p22);
        int trUploadPmQuantity(IMSApiSessionContextStruct p0, string p1, int p2, string p3, double p4, double p5, double p6);
        int trGetProductQuantity(IMSApiSessionContextStruct p0, string p1, int p2, int p3, KeyValue[] p4, KeyValue[] p5, string[] p6, ref string[] p7);
        int trUploadResultDataAndRecipe(IMSApiSessionContextStruct p0, string p1, int p2, int p3, string p4, string p5, int p6, int p7, long p8, float p9, int p10, string[] p11, string[] p12, ref string[] p13);
        int trUploadStationResult(IMSApiSessionContextStruct p0, string p1, string p2, int p3, string p4, string p5, string p6, long p7, int p8, string[] p9, string[] p10, ref string[] p11);
        int trAssignSerialNumberMergeAndUploadState(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, SerialNumberData[] p5, string p6, int p7, int p8, int p9);
        int trAssignSerialNumberForProductOrWorkOrder(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string p5, string p6, int p7, SerialNumberData[] p8, int p9);
        int trActivateWorkOrder(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, int p6);
        int trTestPaa(IMSApiSessionContextStruct p0, string p1, string p2, int p3, int p4, ref int p5, ref string p6);
        int trTestSpa(IMSApiSessionContextStruct p0, string p1, string p2, int p3, int p4, ref int p5, ref int p6, ref string p7);
        int trGetWorkOrderForStation(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int trGetResultDataForSerialNumber(IMSApiSessionContextStruct p0, string p1, int p2, string p3, int p4, string p5, string p6, int p7, int p8, KeyValue[] p9, string[] p10, ref string[] p11);
        int trGetSerialNumberForWorkOrderAndWorkstep(IMSApiSessionContextStruct p0, string p1, int p2, string p3, int p4, int p5, int p6, int p7, int p8, int p9, int p10, string[] p11, ref string[] p12);
        int trRemoveSerialNumberFromSerialNumberPool(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int trAddSerialNumberToSerialNumberPool(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, ref int p5, ref string p6, ref string p7);
        int trCreateSerialNumberPool(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string p5, int p6);
        int trDeleteSerialNumberPool(IMSApiSessionContextStruct p0, string p1, string p2);
        int trGetSerialNumberPoolInfo(IMSApiSessionContextStruct p0, string p1, string p2, int p3, string[] p4, ref string[] p5, ref string p6, ref string p7, ref string p8, ref string p9, ref string p10, ref int p11, ref int p12, ref int p13, ref int p14, ref string p15);
        int trGetPoolSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, int p5, int p6, int p7, int p8, string[] p9, ref string[] p10, ref bool p11, ref string p12);
        int trGetPools(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, string[] p5, ref string[] p6);
        int trIdentifyPoolSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4);
        int trAddSerialNumberToPool(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, string[] p4, ref string[] p5);
        int trChangeSerialNumberPool(IMSApiSessionContextStruct p0, string p1, string p2, KeyValue[] p3);
        int trGetTestplanData(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, string p5, KeyValue[] p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10, string[] p11, ref string[] p12, string[] p13, ref string[] p14, string[] p15, ref string[] p16);
        int trGetNextProductionStep(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, int p5, int p6, string[] p7, ref string[] p8);
        int trSimulateMerge(IMSApiSessionContextStruct p0, string p1, string p2, string p3, string p4, string p5, string p6, string p7, string[] p8, ref string[] p9);
        int trGetStationResult(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, string p5, string p6, long p7, long p8, string[] p9, int p10, string[] p11, ref string[] p12);
        int trCheckUserSkill(IMSApiSessionContextStruct p0, string p1, int p2, string p3, KeyValue[] p4);
        int trUploadActivity(IMSApiSessionContextStruct p0, string p1, int p2, string p3, string p4, int p5, int p6, long p7, float p8, string[] p9, string[] p10, ref string[] p11);
        int trGetSerialNumberActivityUploadInfo(IMSApiSessionContextStruct p0, string p1, string p2, string p3, KeyValue[] p4, string[] p5, ref string[] p6);
        int trGetTopFailures(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int trGetCapturedRepairHistoryData(IMSApiSessionContextStruct p0, string p1, int p2, KeyValue[] p3, string[] p4, string[] p5, ref string[] p6, ref string[] p7);
        int trGetMergeHistory(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int trUploadFailuresForMergedParts(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, string[] p6, string[] p7, ref string[] p8);
        int trChangePoolSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string[] p3, string[] p4, ref string[] p5);
        int trSplitPanel(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, string[] p5, string[] p6, ref string[] p7);
        int trAddExternalSerialNumber(IMSApiSessionContextStruct p0, string p1, string p2, string p3, int p4, long p5, float p6, KeyValue[] p7, string[] p8, ref string[] p9, string[] p10, string[] p11, ref string[] p12);
        int trAssignSerialnumberToOrderCluster(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int trActivateOrderCluster(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int trGetMultiStationSettings(IMSApiSessionContextStruct p0, string p1, string[] p2, ref string[] p3);
        int trActivateWorkstep(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int trSerialNumberPassing(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, string[] p4, ref string[] p5);
        int trCheckUserSkills(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int trRemoveSerialNumberFromOrder(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2);
        int trReplaceMergedPart(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int mslBeginDryObject(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int mslEndDryObject(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int mslStartObjectExpiration(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int mslStopObjectExpiration(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int mslGetObjectInfo(IMSApiSessionContextStruct p0, string p1, int p2, KeyValue[] p3, string[] p4, ref string[] p5);
        int mslGetMinDryTimeForSerialnumber(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6);
        int pmUploadQuantityAndFailureData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5);
        int pmGetFailureData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int pmGetProductQuantity(IMSApiSessionContextStruct p0, string p1, int p2, long p3, long p4, int p5, KeyValue[] p6, string[] p7, string[] p8, string[] p9, ref string[] p10);
        int pmUploadBooking(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref long p5);
        int pmUpdateBooking(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4);
        int pmGetBooking(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, ref bool p7);
        int pmUploadQuantityFailureTallyCardAndFailureData(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, KeyValue[] p3, string[] p4, string[] p5, ref string[] p6);
        int pmGetFailureTallyCard(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6);
        int apsGetWorkorders(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int apsGetWorkorderDetails(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int apsGetWorkorderDetailsOptGroup(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, KeyValue[] p5, string[] p6, ref string[] p7, ref bool p8);
        int apsGetStations(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int apsGetWorkers(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int apsGetWorkergroups(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int apsGetEquipments(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, ref bool p5);
        int crpManageRoute(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, string[] p6, string[] p7, ref string[] p8);
        int crpGetRoute(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8);
        int crpCreateTransportOrder(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, string[] p5, string[] p6, string[] p7, string[] p8);
        int crpChangeTransportOrder(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, string[] p4, ref string[] p5, string[] p6, string[] p7, ref string[] p8, string[] p9, string[] p10, ref string[] p11);
        int crpGetTransportOrder(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4, string[] p5, ref string[] p6, string[] p7, ref string[] p8, string[] p9, ref string[] p10);
        int crpGetTopology(IMSApiSessionContextStruct p0, string p1, KeyValue[] p2, string[] p3, ref string[] p4);
        int crpCreateTopology(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int crpUpdateTopology(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int crpDeleteTopology(IMSApiSessionContextStruct p0, string p1, string[] p2, string[] p3, ref string[] p4);
        int msgPublish(IMSApiSessionContextStruct p0, string p1, string p2, ref string p3);
        int msgSubscribe(IMSApiSessionContextStruct p0, string[] p1, IMSApiDotNetEventListener p2);
        int msgUnsubscribe(IMSApiSessionContextStruct p0);
    }
}
